# PrimitiveForm Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveForm:
[legend]

List of all members.

## Public Member Functions

| of ($className)
| ofProto (EntityProto $proto)
| ofAutoProto (AbstractProtoClass $proto)
| setComposite ($composite=true)
| isComposite ()
| getClassName ()
| getProto ()
| setValue ($value)
| importValue ($value)
| exportValue ()
| getInnerErrors ()
| import ($scope)
| unfilteredImport ($scope)

## Protected Attributes

| $proto = null

## Private Member Functions

| actualImport ($scope, $importFiltering)

## Private Attributes

| $composite = false

## Detailed Description

Definition at line 15 of file PrimitiveForm.class.php.

## Member Function Documentation

PrimitiveForm::actualImport | ( | $ | scope,
|  | $ | importFiltering |
| ) |  |  | `[private]`

Definition at line 140 of file PrimitiveForm.class.php.

Referenced by import(), and unfilteredImport().

PrimitiveForm::exportValue | ( |  | ) |

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveFormsList.

Definition at line 114 of file PrimitiveForm.class.php.

PrimitiveForm::getClassName | ( |  | ) |

Definition at line 73 of file PrimitiveForm.class.php.

PrimitiveForm::getInnerErrors | ( |  | ) |

Reimplemented in PrimitiveFormsList.

Definition at line 122 of file PrimitiveForm.class.php.

PrimitiveForm::getProto | ( |  | ) |

Definition at line 78 of file PrimitiveForm.class.php.

PrimitiveForm::import | ( | $ | scope | ) |

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveFormsList.

Definition at line 130 of file PrimitiveForm.class.php.

References actualImport().

Here is the call graph for this function:

PrimitiveForm::importValue | ( | $ | value | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveForm

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveFormsList.

Definition at line 98 of file PrimitiveForm.class.php.

References BasePrimitive::$value, and Assert::isTrue().

Here is the call graph for this function:

PrimitiveForm::isComposite | ( |  | ) |

Definition at line 68 of file PrimitiveForm.class.php.

PrimitiveForm::of | ( | $ | className | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveForm

Deprecated:
  You should use ofProto() instead

Definition at line 27 of file PrimitiveForm.class.php.

References Assert::classExists(), Singleton::getInstance(), ofProto(), and EntityProto::PROTO_CLASS_PREFIX.

Here is the call graph for this function:

PrimitiveForm::ofAutoProto | ( | AbstractProtoClass $ | proto | ) |

Definition at line 49 of file PrimitiveForm.class.php.

PrimitiveForm::ofProto | ( | EntityProto $ | proto | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveForm

Definition at line 42 of file PrimitiveForm.class.php.

Referenced by of().

PrimitiveForm::setComposite | ( | $ | composite = `true` | ) |

Returns:
  PrimitiveForm

Either composition or aggregation, it is very important on import.

Reimplemented in PrimitiveFormsList.

Definition at line 61 of file PrimitiveForm.class.php.

References $composite.

PrimitiveForm::setValue | ( | $ | value | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveForm

Reimplemented from BasePrimitive.

Definition at line 87 of file PrimitiveForm.class.php.

References BasePrimitive::$value, and Assert::isTrue().

Here is the call graph for this function:

PrimitiveForm::unfilteredImport | ( | $ | scope | ) |

Definition at line 135 of file PrimitiveForm.class.php.

References actualImport().

Here is the call graph for this function:

## Member Data Documentation

PrimitiveForm::$composite = false`[private]`

Definition at line 19 of file PrimitiveForm.class.php.

Referenced by setComposite().

PrimitiveForm::$proto = null`[protected]`

Definition at line 17 of file PrimitiveForm.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveForm.class.php